Issue 119620 - [From Symphony]the .doc page number is incorrect when opened in aoo 3.4
[From Symphony]the .doc page number is incorrect when opened in aoo 3.4
Status: REOPENED
Product: Writer
Classification: Application
Component: open-import
3.4.0
PC All
: P3 normal (vote)
: ---
Assigned To: AOO issues mailing list
:
: 119573 120898 (view as issue list)
Depends on:
Blocks: 121014
  Show dependency treegraph
 
Reported: 2012-05-31 05:58 UTC by louqle
Modified: 2014-02-10 11:26 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
break (74.50 KB, application/msword)
2012-05-31 05:58 UTC, louqle
no flags Details
patch for the issue (1.39 KB, patch)
2012-07-27 06:21 UTC, Lei Debin
debin.lei: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description louqle 2012-05-31 05:58:55 UTC
Created attachment 77841 [details]
break

open the sample file in aoo 3.4 and check the page number of the file

it should be 1,2,4,5,6,8,9,11,12

but the page number after 6 missing
Comment 1 Lei Debin 2012-07-27 06:19:11 UTC
In AOO, there is no the logic to handle section even page and section odd page scenario. So the solution will add the logic to handle section even page and odd page.

If there is no header&footer information, but the header&footer tag is on in the page desc(page style), which means that it should use its previous page style header&footer settings. Try to find the right previous page style for the current page style's header&footer settings
Comment 2 Lei Debin 2012-07-27 06:21:59 UTC
Created attachment 78753 [details]
patch for the issue
Comment 3 zjchen 2012-07-30 02:51:25 UTC
I am volunteering to review this patch. It's good solution that set right header&footer setting of previous page style to the current page when there is left or right page break in document. The patch is OK for me.
Comment 4 SVN Robot 2012-07-30 03:01:26 UTC
"leidb" committed SVN revision 1366990 into trunk:
#119620# fix .doc page number is lost issue, caused by section break.Reported...
Comment 5 Lei Debin 2012-07-30 03:05:34 UTC
thanks zuo jun's review, now the issue fixed
Comment 6 Lei Debin 2012-07-30 03:06:43 UTC
*** Issue 119660 has been marked as a duplicate of this issue. ***
Comment 7 Lei Debin 2012-08-01 01:10:22 UTC
*** Issue 119573 has been marked as a duplicate of this issue. ***
Comment 8 Du Jing 2012-08-21 03:26:54 UTC
verified on the AOO3.5_r1374181
Comment 9 Oliver-Rainer Wittmann 2013-11-19 10:41:47 UTC
The page numbering is available, but still not correct in AOO 4.0.0 and AOO 4.0.1.
Reasons are:
(1) Microsoft Word's page, numbered 8 does not fit on a single page in OpenOffice.
(2) Microsoft Word's page, numbered 9 does not fit on a single page in OpenOffice.
(3) Imported page styles "Convert 1" and "Convert 3" are imported for only left resp. right pages. Such a feature is not available in Microsoft Word and does not make sense during WW8 import.

(3) will cause various problems, e.g. like bug 123578.
Even, if (1) and (2) would be solved, (3) will causes that the last page would be numbered 13 in OpenOffice instead of 12 as in Microsoft Word.
Comment 10 Oliver-Rainer Wittmann 2013-11-19 11:53:04 UTC
OpenOffice has no support for a generic odd resp. even page break. Instead OpenOffice supports a page break with a certain page number.
Comment 11 Oliver-Rainer Wittmann 2013-11-19 14:48:35 UTC
*** Issue 120898 has been marked as a duplicate of this issue. ***